QRcodly
APITemplate

Create a template

Saves a QR code styling configuration as a reusable template with a name. Templates store colors, dot styles, corner styles, margins, and embedded images.

POST
/config-template

Authorization

bearerAuth
AuthorizationBearer <token>

Authenticate with a Bearer token. Pass your API key in the Authorization header: Authorization: Bearer <your-api-key>

In: header

Request Body

application/json

name*string

Template name (max 50 characters)

Lengthlength <= 50
config*

QR code styling configuration stored in this template

[key: string]?never

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://api.qrcodly.de/api/v1/config-template" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "config": {      "width": 0,      "height": 0,      "margin": 0,      "imageOptions": {        "hideBackgroundDots": true      },      "dotsOptions": {        "type": "dots",        "style": {          "type": "hex",          "value": "string"        }      },      "cornersSquareOptions": {        "type": "dot",        "style": {          "type": "hex",          "value": "string"        }      },      "cornersDotOptions": {        "type": "dot",        "style": {          "type": "hex",          "value": "string"        }      },      "backgroundOptions": {        "style": {          "type": "hex",          "value": "string"        }      }    }  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "config": {
    "width": 0,
    "height": 0,
    "margin": 0,
    "image": "string",
    "imageOptions": {
      "hideBackgroundDots": true
    },
    "dotsOptions": {
      "type": "dots",
      "style": {
        "type": "hex",
        "value": "string"
      }
    },
    "cornersSquareOptions": {
      "type": "dot",
      "style": {
        "type": "hex",
        "value": "string"
      }
    },
    "cornersDotOptions": {
      "type": "dot",
      "style": {
        "type": "hex",
        "value": "string"
      }
    },
    "backgroundOptions": {
      "style": {
        "type": "hex",
        "value": "string"
      }
    }
  },
  "createdBy": "string",
  "name": "string",
  "previewImage": "string"
}
{
  "message": "string",
  "code": 0,
  "fieldErrors": {
    "property1": null,
    "property2": null
  }
}
{
  "message": "string",
  "code": 0
}
{
  "message": "string",
  "code": 0
}